Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/actions/SplitAreaByEmptyWayAction.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/actions/SplitAreaByEmptyWayAction.java	(revision 16862)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/actions/SplitAreaByEmptyWayAction.java	(revision 17603)
@@ -62,8 +62,8 @@
                 if (prim2.equals(prim))      continue;
                	Way border = (Way) prim2;
-                if (border.nodes.size() == 0)   continue;
+                if (border.getNodes().size() == 0)   continue;
                 if (border.keySet().size() > 0) continue;
-                if (!area.nodes.contains(border.firstNode())) continue;
-                if (!area.nodes.contains(border.lastNode()))  continue;
+                if (!area.getNodes().contains(border.firstNode())) continue;
+                if (!area.getNodes().contains(border.lastNode()))  continue;
 
                 Way newArea1 = new Way();
@@ -83,6 +83,6 @@
                     Main.main.getCurrentDataSet().addPrimitive(newArea2);
 
-                    area.delete(true);
-                    border.delete(true);
+                    area.setDeleted(true);
+                    border.setDeleted(true);
                     newSelection.remove(area);
                     newSelection.remove(border);
@@ -113,18 +113,18 @@
         Way tempBorder = new Way(border);
 
-        int index1 = area.nodes.indexOf(tempBorder.firstNode());
-        int index2 = area.nodes.indexOf(tempBorder.lastNode());
+        int index1 = area.getNodes().indexOf(tempBorder.firstNode());
+        int index2 = area.getNodes().indexOf(tempBorder.lastNode());
         if (index1 == index2)
             return 1;
 
         if (index1 > index2) {
-            Collections.reverse(tempBorder.nodes);
-            index1 = area.nodes.indexOf(tempBorder.firstNode());
-            index2 = area.nodes.indexOf(tempBorder.lastNode());
+            Collections.reverse(tempBorder.getNodes());
+            index1 = area.getNodes().indexOf(tempBorder.firstNode());
+            index2 = area.getNodes().indexOf(tempBorder.lastNode());
         }
 
         for (Relation relation : Main.main.getCurrentDataSet().relations)
-            for (RelationMember areaMember : relation.members)
-                if (area.equals(areaMember.member))
+            for (RelationMember areaMember : relation.getMembers())
+                if (area.equals(areaMember.getMember()))
                     return 2;
 
@@ -134,13 +134,13 @@
         }
 
-        newArea1.nodes.addAll(area.nodes.subList(0, index1));
-        newArea1.nodes.addAll(tempBorder.nodes);
-        newArea1.nodes.addAll(area.nodes.subList(index2, area.nodes.size()-1));
-        newArea1.nodes.add(area.nodes.get(0));
+        newArea1.getNodes().addAll(area.getNodes().subList(0, index1));
+        newArea1.getNodes().addAll(tempBorder.getNodes());
+        newArea1.getNodes().addAll(area.getNodes().subList(index2, area.getNodes().size()-1));
+        newArea1.getNodes().add(area.getNodes().get(0));
 
-        Collections.reverse(tempBorder.nodes);
-        newArea2.nodes.addAll(area.nodes.subList(index1, index2));
-        newArea2.nodes.addAll(tempBorder.nodes);
-        newArea2.nodes.add(area.nodes.get(index1));
+        Collections.reverse(tempBorder.getNodes());
+        newArea2.getNodes().addAll(area.getNodes().subList(index1, index2));
+        newArea2.getNodes().addAll(tempBorder.getNodes());
+        newArea2.getNodes().add(area.getNodes().get(index1));
 
         removeDuplicateNodesFromWay(newArea1);
@@ -155,7 +155,7 @@
     void removeDuplicateNodesFromWay(Way w) {
         int i=0;
-        while (i<w.nodes.size()-1) {
-            if (w.nodes.get(i).equals(w.nodes.get(i+1)))
-                w.nodes.remove(i);
+        while (i<w.getNodes().size()-1) {
+            if (w.getNodes().get(i).equals(w.getNodes().get(i+1)))
+                w.getNodes().remove(i);
             else
                 i++;
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/AddressElement.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/AddressElement.java	(revision 16862)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/addressdatabase/AddressElement.java	(revision 17603)
@@ -101,5 +101,5 @@
             result += " " + StringUtils.latLonToString(((Way) prim).firstNode().getCoor());
 
-        if (prim.deleted)
+        if (prim.isDeleted())
             result += " DEL";
 
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.form
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.form	(revision 16862)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.form	(revision 17603)
@@ -44,10 +44,10 @@
                   <Group type="103" groupAlignment="0" attributes="0">
                       <Group type="102" alignment="1" attributes="0">
-                          <Component id="locationEdit" pref="252" max="32767" attributes="0"/>
+                          <Component id="locationEdit" pref="228" max="32767" attributes="0"/>
                           <EmptySpace max="-2" attributes="0"/>
                           <Component id="changeLocationButton" min="-2" max="-2" attributes="0"/>
                       </Group>
-                      <Component id="alternateNumberEdit" alignment="0" pref="309" max="32767" attributes="0"/>
-                      <Component id="matchesComboBox" alignment="0" pref="309" max="32767" attributes="0"/>
+                      <Component id="alternateNumberEdit" alignment="0" pref="293" max="32767" attributes="0"/>
+                      <Component id="matchesComboBox" alignment="0" pref="293" max="32767" attributes="0"/>
                   </Group>
               </Group>
@@ -75,5 +75,5 @@
                   </Group>
                   <EmptySpace max="-2" attributes="0"/>
-                  <Component id="jScrollPane1" pref="161" max="32767" attributes="0"/>
+                  <Component id="jScrollPane1" pref="153" max="32767" attributes="0"/>
                   <EmptySpace max="-2" attributes="0"/>
                   <Component id="statusLabel" min="-2" max="-2" attributes="0"/>
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.java	(revision 16862)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/gui/PointManipulatorDialog.java	(revision 17603)
@@ -80,5 +80,7 @@
 
         // And finalize initializing the form.
-        setupDialog(mainPanel, new String[] { "ok.png", "cancel.png" });
+        setContent(mainPanel, false);
+        setButtonIcons(new String[] { "ok.png", "cancel.png" });
+        setupDialog();
         setDefaultCloseOperation(DISPOSE_ON_CLOSE);
         setAlwaysOnTop(false);
@@ -129,5 +131,5 @@
     public void updateMatches() {
 
-        if (proposalContainer.getTarget().deleted)
+        if (proposalContainer.getTarget().isDeleted())
             setVisible(false);
         OsmPrimitive prim = this.proposalContainer.getTarget();
@@ -136,13 +138,13 @@
 
         synchronized (r) {
-            Map<String,String> backup = prim.keys;
+            Map<String,String> backup = prim.getKeys();
             r.openTransaction();
             for (AddressElement elem : r.getCandidates(prim))
                 r.unOverwrite(prim, elem);
-            prim.keys = null;
+            prim.setKeys(null);
             prim.put(PrimUtils.KEY_ADDR_CP, alternateNumberEdit.getText());
             r.update(prim);
             elems.addAll(r.getCandidates(prim));
-            prim.keys = backup;
+            prim.setKeys(backup);
             r.update(prim);
             r.closeTransaction();
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Reasoner.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Reasoner.java	(revision 16862)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/intelligence/Reasoner.java	(revision 17603)
@@ -347,5 +347,5 @@
     private int evalQ(OsmPrimitive prim, AddressElement elem, Integer oldQ) {
 
-        if (prim.deleted)
+        if (prim.isDeleted())
             return MATCH_NOMATCH;
 
Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/Proposal.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/Proposal.java	(revision 16862)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/proposal/Proposal.java	(revision 17603)
@@ -23,5 +23,5 @@
      */
     public void apply(OsmPrimitive op) {
-        op.modified = true;
+        op.setModified(true);
     }
 