Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrabPlanImage.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrabPlanImage.java	(revision 17528)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrabPlanImage.java	(revision 17702)
@@ -28,5 +28,5 @@
 
     public static String name = "Georeference an image";
-    
+
     private DownloadWMSPlanImage downloadWMSPlanImage;
     private WMSLayer wmsLayer;
@@ -53,10 +53,10 @@
         mouseClickedTime = System.currentTimeMillis();
     }
-    
+
     public void actionInterrupted() {
         actionCompleted();
         wmsLayer = null;
     }
-    
+
     @Override
     protected void updateEnabledState() {
@@ -69,5 +69,5 @@
         actionInterrupted();
     }
-    
+
     public void actionPerformed(ActionEvent ae) {
         if (Main.map != null) {
@@ -130,5 +130,5 @@
         } else if (mode == cGetLambertCrosspieces) {
             if (countMouseClicked == 1) {
-                ea1 = ea; 
+                ea1 = ea;
                 if (inputLambertPosition())
                     continueGeoreferencing();
@@ -145,7 +145,7 @@
         }
     }
-    
-    /**
-     * 
+
+    /**
+     *
      * @return false if all operations are canceled
      */
@@ -154,5 +154,5 @@
 	    countMouseClicked = 0;
 		Object[] options = { "OK", "Cancel" };
-		int ret = JOptionPane.showOptionDialog( null, 
+		int ret = JOptionPane.showOptionDialog( null,
 				tr("Click first corner for image cropping\n(two points required)"),
 				tr("Image cropping"),
@@ -166,12 +166,12 @@
 	    return true;
     }
-    
-    /**
-     * 
+
+    /**
+     *
      * @return false if all operations are canceled
      */
     private boolean continueCropping() {
 		Object[] options = { "OK", "Cancel" };
-		int ret = JOptionPane.showOptionDialog( null, 
+		int ret = JOptionPane.showOptionDialog( null,
 				tr("Click second corner for image cropping"),
 				tr("Image cropping"),
@@ -184,7 +184,7 @@
 	    return true;
     }
-    
-    /**
-     * 
+
+    /**
+     *
      * @return false if all operations are canceled
      */
@@ -193,5 +193,5 @@
 	    mode = cGetLambertCrosspieces;
 		Object[] options = { "OK", "Cancel" };
-		int ret = JOptionPane.showOptionDialog( null, 
+		int ret = JOptionPane.showOptionDialog( null,
 				tr("Click first Lambert crosspiece for georeferencing\n(two points required)"),
 				tr("Image georeferencing"),
@@ -207,10 +207,10 @@
 
     /**
-     * 
+     *
      * @return false if all operations are canceled
      */
     private boolean continueGeoreferencing() {
 		Object[] options = { "OK", "Cancel" };
-		int ret = JOptionPane.showOptionDialog( null, 
+		int ret = JOptionPane.showOptionDialog( null,
 				tr("Click second Lambert crosspiece for georeferencing"),
 				tr("Image georeferencing"),
@@ -223,12 +223,12 @@
 	    return true;
     }
-    
-    /**
-     * 
+
+    /**
+     *
      * @return false if all operations are canceled
      */
     private boolean canceledOrRestartCurrAction(String action) {
     	Object[] options = { "Cancel", "Retry" };
-    	int selectedValue = JOptionPane.showOptionDialog( null, 
+    	int selectedValue = JOptionPane.showOptionDialog( null,
         		tr("Do you want to cancel completely\n"+
         				"or just retry "+action+" ?"), "",
@@ -245,5 +245,5 @@
         return true;
     }
-    
+
     private boolean inputLambertPosition() {
         JLabel labelEnterPosition = new JLabel(tr("Enter cadastre east,north position"));
@@ -264,5 +264,5 @@
         if (countMouseClicked == 1) number = "first";
         else number = "second";
-        pane.createDialog(Main.parent, tr("Set "+number+" Lambert coordinates")).setVisible(true);
+        pane.createDialog(Main.parent, tr("Set {0} Lambert coordinates",number)).setVisible(true);
         if (!Integer.valueOf(JOptionPane.OK_OPTION).equals(pane.getValue())) {
             if (canceledOrRestartCurrAction("georeferencing"))
@@ -285,11 +285,11 @@
         return false;
     }
-    
-    /**
-     * Use point org1 as anchor for scale, then move org1 to dst1, then rotate org2 on dst2 
-     * around org1/dst1 anchor 
+
+    /**
+     * Use point org1 as anchor for scale, then move org1 to dst1, then rotate org2 on dst2
+     * around org1/dst1 anchor
      * @param org1 first point at original coordinate system (the grabbed image)
      * @param org2 second point "
-     * @param dst1 first point at final destination coordinate system (the real east/north coordinate system) 
+     * @param dst1 first point at final destination coordinate system (the real east/north coordinate system)
      * @param dst2 second point "
      */
@@ -309,5 +309,5 @@
         wmsLayer.images.get(0).scale(dst1, proportion);
     }
-    
+
     public void mouseEntered(MouseEvent arg0) {
     }
@@ -321,4 +321,4 @@
     public void mouseReleased(MouseEvent arg0) {
     }
-        
+
 }