Index: applications/editors/josm/plugins/openstreetbugs/src/org/openstreetmap/josm/plugins/osb/OsbPlugin.java
===================================================================
--- applications/editors/josm/plugins/openstreetbugs/src/org/openstreetmap/josm/plugins/osb/OsbPlugin.java	(revision 17534)
+++ applications/editors/josm/plugins/openstreetbugs/src/org/openstreetmap/josm/plugins/osb/OsbPlugin.java	(revision 17703)
@@ -1,17 +1,17 @@
 /* Copyright (c) 2008, Henrik Niehaus
  * All rights reserved.
- * 
+ *
  * Redistribution and use in source and binary forms, with or without
  * modification, are permitted provided that the following conditions are met:
- * 
+ *
  * 1. Redistributions of source code must retain the above copyright notice,
  *    this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright notice, 
- *    this list of conditions and the following disclaimer in the documentation 
+ * 2. Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
  *    and/or other materials provided with the distribution.
- * 3. Neither the name of the project nor the names of its 
- *    contributors may be used to endorse or promote products derived from this 
+ * 3. Neither the name of the project nor the names of its
+ *    contributors may be used to endorse or promote products derived from this
  *    software without specific prior written permission.
- * 
+ *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
@@ -51,5 +51,5 @@
 
 /**
- * Shows issues from OpenStreetBugs 
+ * Shows issues from OpenStreetBugs
  *
  * @author Henrik Niehaus (henrik dot niehaus at gmx dot de)
@@ -58,15 +58,15 @@
 
     private DataSet dataSet;
-    
+
     private UploadHook uploadHook;
-    
+
     private OsbDialog dialog;
-    
+
     private OsbLayer layer;
-    
+
     public static boolean active = false;
-    
+
     private DownloadAction download = new DownloadAction();
-    
+
     public OsbPlugin() {
         super();
@@ -78,5 +78,5 @@
         OsbLayer.listeners.add(this);
     }
-    
+
     private void initConfig() {
         String debug = Main.pref.get(ConfigKeys.OSB_API_DISABLED);
@@ -85,5 +85,5 @@
             Main.pref.put(ConfigKeys.OSB_API_DISABLED, debug);
         }
-        
+
         // check, which api is used
         String uriNew = Main.pref.get(ConfigKeys.OSB_API_URI_NEW);
@@ -91,13 +91,13 @@
         boolean switchApi = true;
         if(oldApi) {
-            int choice = JOptionPane.showConfirmDialog(Main.parent, 
-                    tr("<html>The openstreetbus plugin is using the old server at appspot.com.<br>" +
-                    		"A new server is available at schokokeks.org.<br>" +
-                    		"Do you want to switch to the new server? (Strongly recommended)</html>"), 
+            int choice = JOptionPane.showConfirmDialog(Main.parent,
+                    tr("<html>The openstreetbugs plugin is using the old server at appspot.com.<br>" +
+                            "A new server is available at schokokeks.org.<br>" +
+                            "Do you want to switch to the new server? (Strongly recommended)</html>"),
                     tr("Switch to new openstreetbugs server?"),
                     JOptionPane.YES_NO_OPTION);
             switchApi = choice == JOptionPane.YES_OPTION;
         }
-                
+
         String uri = Main.pref.get(ConfigKeys.OSB_API_URI_EDIT);
         if(uri == null || uri.length() == 0 || switchApi) {
@@ -105,5 +105,5 @@
             Main.pref.put(ConfigKeys.OSB_API_URI_EDIT, uri);
         }
-        
+
         uri = Main.pref.get(ConfigKeys.OSB_API_URI_CLOSE);
         if(uri == null || uri.length() == 0 || switchApi) {
@@ -111,5 +111,5 @@
             Main.pref.put(ConfigKeys.OSB_API_URI_CLOSE, uri);
         }
-        
+
         uri = Main.pref.get(ConfigKeys.OSB_API_URI_DOWNLOAD);
         if(uri == null || uri.length() == 0 || switchApi) {
@@ -117,5 +117,5 @@
             Main.pref.put(ConfigKeys.OSB_API_URI_DOWNLOAD, uri);
         }
-        
+
         uri = Main.pref.get(ConfigKeys.OSB_API_URI_NEW);
         if(uri == null || uri.length() == 0 || switchApi) {
@@ -123,5 +123,5 @@
             Main.pref.put(ConfigKeys.OSB_API_URI_NEW, uri);
         }
-        
+
         String auto_download = Main.pref.get(ConfigKeys.OSB_AUTO_DOWNLOAD);
         if(auto_download == null || auto_download.length() == 0) {
@@ -129,5 +129,5 @@
             Main.pref.put(ConfigKeys.OSB_AUTO_DOWNLOAD, auto_download);
         }
-        
+
         String include_date = Main.pref.get(ConfigKeys.OSB_INCLUDE_DATE);
         if(include_date == null || include_date.length() == 0) {
@@ -147,5 +147,5 @@
             mv.getLatLon(mv.getWidth(), 0));
     }
-    
+
     public void updateData() {
         // determine the bounds of the currently visible area
@@ -158,5 +158,5 @@
             return;
         }
-        
+
         try {
             // download the data
@@ -177,16 +177,16 @@
         }
     }
-    
+
     public void updateGui() {
         // update dialog
         dialog.update(dataSet);
-        
+
         // create a new layer if necessary
         updateLayer(dataSet);
-        
+
         // repaint view, so that changes get visible
         Main.map.mapView.repaint();
     }
-    
+
     private void updateLayer(DataSet osbData) {
         if(layer == null) {
@@ -201,12 +201,12 @@
             // add the dialog
             newFrame.addToggleDialog(dialog);
-            
+
             // add the upload hook
-            UploadAction.registerUploadHook(uploadHook);            
+            UploadAction.registerUploadHook(uploadHook);
         } else if (oldFrame!=null && newFrame==null ) { // map frame removed
-            
-        }
-    }
-    
+
+        }
+    }
+
     public static ImageIcon loadIcon(String name) {
         URL url = OsbPlugin.class.getResource("/images/".concat(name));
@@ -219,5 +219,5 @@
         if(newLayer instanceof OsmDataLayer) {
             active = dialog.isDialogShowing();
-            
+
             // start the auto download loop
             OsbDownloadLoop.getInstance().setPlugin(this);