Index: trunk/resources/images/presets/education/education.svg
===================================================================
--- trunk/resources/images/presets/education/education.svg	(revision 17950)
+++ trunk/resources/images/presets/education/education.svg	(revision 17950)
@@ -0,0 +1,152 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   version="1.0"
+   width="16"
+   height="16"
+   id="svg2"
+   sodipodi:version="0.32"
+   inkscape:version="1.0.2-2 (e86c870879, 2021-01-15)"
+   sodipodi:docname="education.svg"
+   inkscape:output_extension="org.inkscape.output.svg.inkscape">
+  <defs
+     id="defs20" />
+  <metadata
+     id="metadata2975">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <cc:license
+           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
+        <dc:language>en</dc:language>
+        <dc:title></dc:title>
+      </cc:Work>
+      <cc:License
+         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
+      </cc:License>
+    </rdf:RDF>
+  </metadata>
+  <sodipodi:namedview
+     inkscape:window-height="1137"
+     inkscape:window-width="1600"
+     inkscape:pageshadow="2"
+     inkscape:pageopacity="0.0"
+     guidetolerance="10.0"
+     gridtolerance="10.0"
+     objecttolerance="10.0"
+     borderopacity="1.0"
+     bordercolor="#666666"
+     pagecolor="#ffffff"
+     id="base"
+     inkscape:zoom="37.78125"
+     inkscape:cx="9.3061438"
+     inkscape:cy="5.4182714"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:current-layer="svg2"
+     showgrid="true"
+     inkscape:window-maximized="1"
+     inkscape:document-rotation="0">
+    <inkscape:grid
+       type="xygrid"
+       id="grid4230" />
+  </sodipodi:namedview>
+  <g
+     id="g1327"
+     style="fill:#ffffff;fill-opacity:1;stroke:#0e232e;stroke-width:39.66518402;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     transform="matrix(0.02602963,0,0,0.02586494,0.45267931,0.48737964)">
+    <path
+       d="M 66.275,1.768 C 24.94,1.768 1.704,23.139 1.704,66.804 v 450.123 c 0,40.844 20.895,62.229 62.192,62.229 H 515.92 c 41.307,0 62.229,-20.315 62.229,-62.229 V 66.804 c 0,-42.601 -20.922,-65.036 -63.521,-65.036 z"
+       style="fill:#ffffff;fill-opacity:1;stroke:#0e232e;stroke-width:39.6652;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+       id="path1329"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="csssssssc" />
+  </g>
+  <g
+     id="layer3"
+     inkscape:label="Layout"
+     style="display:none;stroke:#757575;stroke-opacity:1"
+     transform="matrix(48.14969,0,0,48.14969,-536.27327,-597.30675)">
+    <rect
+       style="display:inline;fill:none;stroke:#757575;stroke-width:0.1;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+       id="rect4134"
+       width="10"
+       height="10"
+       x="1"
+       y="1" />
+    <rect
+       style="display:inline;fill:none;stroke:#757575;stroke-width:0.1;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+       id="rect4136"
+       width="8"
+       height="8"
+       x="2"
+       y="2" />
+  </g>
+  <path
+     style="fill:#000000;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:20;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     d="M 4.1949429,7.560056 3.4757791,7.5704954 C 3.3754312,7.7374657 3.303149,7.9471169 3.2258369,8.1965155 3.1144199,8.5559076 3.0201286,8.9865466 2.9646616,9.415693 c -0.2090299,1.617144 -0.209539,2.365141 -0.209539,2.365141 l 0.4789451,0 c 0,0 -8.628e-4,-0.704859 0.2057946,-2.3038849 0.051852,-0.4011412 0.1414153,-0.8108754 0.2432126,-1.1392426 0.1017973,-0.3283586 0.2437216,-0.586195 0.27988,-0.6215337 0.084723,-0.082825 0.1584376,-0.1243499 0.2065452,-0.1456774 0.010698,-0.00518 0.018722,-0.00776 0.025451,-0.010439 z"
+     id="path2666"
+     inkscape:connector-curvature="0" />
+  <path
+     style="fill:#000000;fill-rule:evenodd;stroke:#000000;stroke-width:0.2392623;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     d="M 7.514894,4.1032709 1.5680571,7.0846569 8.9793547,7.1838659 14.378458,4.3737295 7.514894,4.1032709 Z"
+     id="path2662"
+     inkscape:connector-curvature="0" />
+  <path
+     style="fill:#000000;fill-rule:evenodd;stroke:#000000;stroke-width:0.2392623;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     d="M 4.0277138,9.5987452 4.6702902,7.7034815 9.1482404,7.8309546 12.129738,6.2106791 13.322533,7.5932809 c 0,0 -1.505882,0.1656935 -2.162073,0.5726324 -0.656191,0.4069389 -1.5073488,1.3866569 -1.5073488,1.3866569 0,0 -1.8531175,-0.6407992 -2.7100127,-0.6551901 C 5.3070689,8.8699443 4.1292954,9.576831 4.0277138,9.5987452 Z"
+     id="path2664"
+     sodipodi:nodetypes="cccccscsc"
+     inkscape:connector-curvature="0" />
+  <path
+     style="fill:#000000;fill-opacity:1;stroke:#000000;stroke-width:0.37024984;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dashoffset:0;stroke-opacity:1"
+     d="m 3.5295464,11.221281 c 0,0.313321 -0.3505229,1.141339 -0.6643957,1.141339 -0.3138728,0 -0.4728194,-0.828018 -0.4728194,-1.141339 0,-0.31332 0.254739,-0.567611 0.5686118,-0.567611 0.3138642,0 0.5686033,0.254291 0.5686033,0.567611 z"
+     id="path3462"
+     sodipodi:nodetypes="csssc"
+     inkscape:connector-curvature="0" />
+  <path
+     id="path3466"
+     d="M 2.9425059,11.338487 2.6375282,12.64464 2.9425059,11.338487 Z"
+     style="fill:#000000;fill-rule:evenodd;stroke:#000000;stroke-width:0.2392623;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     sodipodi:nodetypes="ccc"
+     inkscape:connector-curvature="0" />
+  <path
+     style="fill:#000000;fill-rule:evenodd;stroke:#000000;stroke-width:0.2392623;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     d="M 3.5283213,11.331818 3.1022118,12.732512 3.5283213,11.331818 Z"
+     id="path3468"
+     sodipodi:nodetypes="ccc"
+     inkscape:connector-curvature="0" />
+  <path
+     sodipodi:nodetypes="ccc"
+     id="path3471"
+     d="M 2.3229824,11.203439 2.2203483,12.475746 2.3229824,11.203439 Z"
+     style="fill:#000000;fill-rule:evenodd;stroke:#000000;stroke-width:0.2392623;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     inkscape:connector-curvature="0" />
+  <path
+     sodipodi:nodetypes="ccc"
+     id="path3482"
+     d="M 2.5529516,11.301656 2.4503175,12.573962 2.5529516,11.301656 Z"
+     style="fill:#000000;fill-rule:evenodd;stroke:#000000;stroke-width:0.2392623;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     inkscape:connector-curvature="0" />
+  <path
+     sodipodi:nodetypes="ccc"
+     style="fill:#000000;fill-rule:evenodd;stroke:#000000;stroke-width:0.2392623;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+     d="M 3.1819741,11.386302 2.8769964,12.692454 3.1819741,11.386302 Z"
+     id="path3484"
+     inkscape:connector-curvature="0" />
+</svg>