Index: trunk/test/unit/org/openstreetmap/josm/spi/preferences/ListListSettingTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/spi/preferences/ListListSettingTest.java	(revision 17275)
+++ trunk/test/unit/org/openstreetmap/josm/spi/preferences/ListListSettingTest.java	(revision 18037)
@@ -2,10 +2,8 @@
 package org.openstreetmap.josm.spi.preferences;
 
-import org.junit.jupiter.api.extension.RegisterExtension;
 import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.TestUtils;
-import org.openstreetmap.josm.testutils.JOSMTestRules;
+import org.openstreetmap.josm.testutils.annotations.BasicPreferences;
 
-import edu.umd.cs.findbugs.annotations.SuppressFBWarnings;
 import nl.jqno.equalsverifier.EqualsVerifier;
 
@@ -13,12 +11,7 @@
  * Test {@link ListListSetting}.
  */
+// This is a preference test
+@BasicPreferences
 class ListListSettingTest {
-    /**
-     * This is a preference test
-     */
-    @RegisterExtension
-    @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
-    public JOSMTestRules test = new JOSMTestRules().preferences();
-
     /**
      * Unit test of methods {@link ListListSetting#equals} and {@link ListListSetting#hashCode}.
Index: trunk/test/unit/org/openstreetmap/josm/spi/preferences/ListSettingTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/spi/preferences/ListSettingTest.java	(revision 17275)
+++ trunk/test/unit/org/openstreetmap/josm/spi/preferences/ListSettingTest.java	(revision 18037)
@@ -2,10 +2,8 @@
 package org.openstreetmap.josm.spi.preferences;
 
-import org.junit.jupiter.api.extension.RegisterExtension;
 import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.TestUtils;
-import org.openstreetmap.josm.testutils.JOSMTestRules;
+import org.openstreetmap.josm.testutils.annotations.BasicPreferences;
 
-import edu.umd.cs.findbugs.annotations.SuppressFBWarnings;
 import nl.jqno.equalsverifier.EqualsVerifier;
 
@@ -13,12 +11,7 @@
  * Test {@link ListSetting}.
  */
+// This is a preference test
+@BasicPreferences
 class ListSettingTest {
-    /**
-     * This is a preference test
-     */
-    @RegisterExtension
-    @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
-    public JOSMTestRules test = new JOSMTestRules().preferences();
-
     /**
      * Unit test of methods {@link ListSetting#equals} and {@link ListSetting#hashCode}.
Index: trunk/test/unit/org/openstreetmap/josm/spi/preferences/MapListSettingTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/spi/preferences/MapListSettingTest.java	(revision 17275)
+++ trunk/test/unit/org/openstreetmap/josm/spi/preferences/MapListSettingTest.java	(revision 18037)
@@ -2,10 +2,8 @@
 package org.openstreetmap.josm.spi.preferences;
 
-import org.junit.jupiter.api.extension.RegisterExtension;
 import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.TestUtils;
-import org.openstreetmap.josm.testutils.JOSMTestRules;
+import org.openstreetmap.josm.testutils.annotations.BasicPreferences;
 
-import edu.umd.cs.findbugs.annotations.SuppressFBWarnings;
 import nl.jqno.equalsverifier.EqualsVerifier;
 
@@ -13,12 +11,7 @@
  * Test {@link MapListSetting}.
  */
+// This is a preference test
+@BasicPreferences
 class MapListSettingTest {
-    /**
-     * This is a preference test
-     */
-    @RegisterExtension
-    @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
-    public JOSMTestRules test = new JOSMTestRules().preferences();
-
     /**
      * Unit test of methods {@link MapListSetting#equals} and {@link MapListSetting#hashCode}.
Index: trunk/test/unit/org/openstreetmap/josm/spi/preferences/StringSettingTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/spi/preferences/StringSettingTest.java	(revision 17275)
+++ trunk/test/unit/org/openstreetmap/josm/spi/preferences/StringSettingTest.java	(revision 18037)
@@ -2,10 +2,8 @@
 package org.openstreetmap.josm.spi.preferences;
 
-import org.junit.jupiter.api.extension.RegisterExtension;
 import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.TestUtils;
-import org.openstreetmap.josm.testutils.JOSMTestRules;
+import org.openstreetmap.josm.testutils.annotations.BasicPreferences;
 
-import edu.umd.cs.findbugs.annotations.SuppressFBWarnings;
 import nl.jqno.equalsverifier.EqualsVerifier;
 
@@ -13,12 +11,7 @@
  * Test {@link StringSetting}.
  */
+// This is a preference test
+@BasicPreferences
 class StringSettingTest {
-    /**
-     * This is a preference test
-     */
-    @RegisterExtension
-    @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
-    public JOSMTestRules test = new JOSMTestRules().preferences();
-
     /**
      * Unit test of methods {@link StringSetting#equals} and {@link StringSetting#hashCode}.