Index: trunk/resources/images/presets/transport/railway/buffer_stop.svg
===================================================================
--- trunk/resources/images/presets/transport/railway/buffer_stop.svg	(revision 18083)
+++ trunk/resources/images/presets/transport/railway/buffer_stop.svg	(revision 18084)
@@ -93,5 +93,5 @@
      transform="translate(0,-1038.3621)">
     <path
-       style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.50000024;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
+       style="color:#000000;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.50000024;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
        d="m 6.5039062,0.25 -6.21484365,12.425781 0,1.070313 15.42773445,0.0039 0,-3.5 -5.966797,0 -0.015625,-4.5 4.015625,0 0,-5.5 z"
        transform="translate(-4.7683724e-7,1038.3621)"
Index: trunk/resources/images/presets/transport/railway/bus_guideway.svg
===================================================================
--- trunk/resources/images/presets/transport/railway/bus_guideway.svg	(revision 18083)
+++ trunk/resources/images/presets/transport/railway/bus_guideway.svg	(revision 18084)
@@ -92,5 +92,5 @@
      transform="translate(0,-1036.3621)">
     <path
-       style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.50000024;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
+       style="color:#000000;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.50000024;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
        d="m 4.3769482,1036.3625 c -0.78527,0 -1.544061,0.1469 -2.154297,0.6055 -0.610236,0.4585 -0.972656,1.2418 -0.972656,2.1406 l 0,8.4414 -1.2499999683717,0 0,3.8125 14.9999997683717,0 0,-3.8125 -1.25,0 0,-8.4414 c 0,-0.864 -0.37599,-1.6288 -0.974609,-2.0937 -0.59862,-0.4649 -1.359988,-0.6524 -2.152344,-0.6524 l -6.2460938,0 z"
        id="path4146"
Index: trunk/resources/images/presets/transport/railway/preserved.svg
===================================================================
--- trunk/resources/images/presets/transport/railway/preserved.svg	(revision 18083)
+++ trunk/resources/images/presets/transport/railway/preserved.svg	(revision 18084)
@@ -126,5 +126,5 @@
      transform="translate(0,-1036.3621)">
     <path
-       style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
+       style="color:#000000;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
        d="m 0.20439762,1039.6141 0,9.498 15.52997938,0 -2e-6,-7.5078 -4.492188,0 0,2.0078 -5.5000009,0 0,-3.998 z"
        id="path4147"
@@ -172,5 +172,5 @@
     </g>
     <path
-       style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1.00000012;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
+       style="color:#000000;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:1.00000012;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
        d="m 3.0955463,1036.3621 c 0.5125623,0.999 0.97181,1.8717 1.4610941,2.6379 0.3986952,0.6188 0.8550782,1.2542 1.3476563,1.7754 0.492578,0.5212 1.0129603,0.9506 1.6445312,1.0762 1.1305518,0.2247 2.1390799,0.091 2.9648441,-0.022 0.812643,-0.1109 1.362494,-0.4119 1.814453,-0.01 0.310345,0.276 0.138014,0.7906 0.138673,1.2382 l 2.281247,0.1645 c 0,0 0.04233,-0.5266 -0.01758,-1.1699 -0.05991,-0.6433 -0.194441,-1.4328 -0.707031,-2.0215 -0.805313,-0.9248 -1.987932,-1.3027 -2.814454,-1.7637 -0.41326,-0.2304 -0.728995,-0.4697 -0.90625,-0.7343 -0.177255,-0.2647 -0.260028,-0.6496 -0.164062,-1.1708 z"
        id="path4168"
Index: trunk/resources/images/presets/transport/railway/tram.svg
===================================================================
--- trunk/resources/images/presets/transport/railway/tram.svg	(revision 18083)
+++ trunk/resources/images/presets/transport/railway/tram.svg	(revision 18084)
@@ -104,5 +104,5 @@
        style="opacity:1;fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:1.5;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
     <path
-       style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.50000024;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
+       style="color:#000000;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.50000024;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
        d="m 7.385014,1038.3621 -4.135014,2.55 0,1.5078 1.6835938,1.1914 -4.6835938,0 0,6.5 15.5,0 0,-6.5 -4.658203,0 1.685547,-1.1894 0,-1.5117 -4.1435845,-2.5481 z"
        id="path4150"
Index: trunk/resources/images/presets/transport/way/way_bicycle_road.svg
===================================================================
--- trunk/resources/images/presets/transport/way/way_bicycle_road.svg	(revision 18083)
+++ trunk/resources/images/presets/transport/way/way_bicycle_road.svg	(revision 18084)
@@ -130,5 +130,5 @@
        transform="translate(-0.49999974,-0.49999774)">
       <path
-         style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:#ffffff;stroke-width:1.00000024;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
+         style="color:#000000;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:#ffffff;stroke-width:1.00000024;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
          d="m 6.9355488,1043.6628 c -0.1797699,0 -0.2077347,0.1051 -0.28125,0.2325 l -1.4140625,2.7109 c -0.3603853,-0.1453 -0.7545796,-0.2266 -1.1699219,-0.2266 -1.6356291,0 -3.0703125,1.3415 -3.0703124,2.9903 -1e-7,1.7176 1.4480151,2.9922 3.0703124,2.9922 1.6922901,0 3.0722657,-1.2871 3.0722657,-2.9922 0,-1.0437 -0.5602465,-1.97 -1.40625,-2.5059 l 0.4121093,-0.789 2.3985754,3.4113 c 0.041154,0.058 0.1426096,0.159 0.2713465,0.159 l 1.1445309,0 c 0.1440218,1.5615 1.4483258,2.7129 3.0449218,2.7129 1.62233,0 2.992188,-1.2871 2.992188,-2.9922 0,-1.6356 -1.356525,-2.9902 -2.992188,-2.9902 -1.605647,0 -2.896292,1.2048 -3.0429688,2.7109 l -0.8144526,0 0.9570314,-3.2754 0.582031,0.01 c 0.519111,0 0.51987,-0.7168 0.0078,-0.7168 l -1.7675773,-0.016 c -0.4595687,0 -0.4826045,0.7141 0.029297,0.7168 l 0.5664055,0.01 -0.839843,2.875 -2.2480467,-3.166 0.6757927,-1.2951 1.0273438,0 c 0.3707027,0 0.3707027,-0.5569 0,-0.5585 z m -2.8652344,3.4336 c 0.2975593,0 0.5767812,0.058 0.8359376,0.1524 l -1.0820313,2.0723 c -0.2068299,0.3397 0.3337774,0.6218 0.4941406,0.2578 l 1.0878907,-2.084 c 0.6200081,0.4131 1.0175781,1.1055 1.0175781,1.875 0,1.3272 -1.0138888,2.2754 -2.3535157,2.2754 -1.2500412,0 -2.3535156,-0.9608 -2.3535156,-2.2754 0,-1.2233 1.1168062,-2.2735 2.3535156,-2.2735 z m 8.9374996,0 c 1.236699,0 2.273438,1.0369 2.273438,2.2735 0,1.3272 -1.023405,2.2754 -2.273438,2.2754 -1.241846,0 -2.192412,-0.8198 -2.326172,-1.9961 l 2.404297,0 c 0.370762,0 0.370762,-0.557 0,-0.5586 l -2.402344,0 c 0.142041,-1.1083 1.099524,-1.9942 2.324219,-1.9942 z"
          id="path4214"
@@ -140,5 +140,5 @@
          id="path4166"
          d="m 6.9355488,1043.6628 c -0.1797699,0 -0.2077347,0.1051 -0.28125,0.2325 l -1.4140625,2.7109 c -0.3603853,-0.1453 -0.7545796,-0.2266 -1.1699219,-0.2266 -1.6356291,0 -3.0703125,1.3415 -3.0703124,2.9903 -1e-7,1.7176 1.4480151,2.9922 3.0703124,2.9922 1.6922901,0 3.0722657,-1.2871 3.0722657,-2.9922 0,-1.0437 -0.5602465,-1.97 -1.40625,-2.5059 l 0.4121093,-0.789 2.3985754,3.4113 c 0.041154,0.058 0.1426096,0.159 0.2713465,0.159 l 1.1445309,0 c 0.1440218,1.5615 1.4483258,2.7129 3.0449218,2.7129 1.62233,0 2.992188,-1.2871 2.992188,-2.9922 0,-1.6356 -1.356525,-2.9902 -2.992188,-2.9902 -1.605647,0 -2.896292,1.2048 -3.0429688,2.7109 l -0.8144526,0 0.9570314,-3.2754 0.582031,0.01 c 0.519111,0 0.51987,-0.7168 0.0078,-0.7168 l -1.7675773,-0.016 c -0.4595687,0 -0.4826045,0.7141 0.029297,0.7168 l 0.5664055,0.01 -0.839843,2.875 -2.2480467,-3.166 0.6757927,-1.2951 1.0273438,0 c 0.3707027,0 0.3707027,-0.5569 0,-0.5585 z m -2.8652344,3.4336 c 0.2975593,0 0.5767812,0.058 0.8359376,0.1524 l -1.0820313,2.0723 c -0.2068299,0.3397 0.3337774,0.6218 0.4941406,0.2578 l 1.0878907,-2.084 c 0.6200081,0.4131 1.0175781,1.1055 1.0175781,1.875 0,1.3272 -1.0138888,2.2754 -2.3535157,2.2754 -1.2500412,0 -2.3535156,-0.9608 -2.3535156,-2.2754 0,-1.2233 1.1168062,-2.2735 2.3535156,-2.2735 z m 8.9374996,0 c 1.236699,0 2.273438,1.0369 2.273438,2.2735 0,1.3272 -1.023405,2.2754 -2.273438,2.2754 -1.241846,0 -2.192412,-0.8198 -2.326172,-1.9961 l 2.404297,0 c 0.370762,0 0.370762,-0.557 0,-0.5586 l -2.402344,0 c 0.142041,-1.1083 1.099524,-1.9942 2.324219,-1.9942 z"
-         style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#0000ff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.71800011;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate" />
+         style="color:#000000;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#0000ff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.71800011;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate" />
     </g>
   </g>