Index: trunk/resources/images/presets/social_facility/assisted_living.svg
===================================================================
--- trunk/resources/images/presets/social_facility/assisted_living.svg	(revision 18083)
+++ trunk/resources/images/presets/social_facility/assisted_living.svg	(revision 18085)
@@ -210,5 +210,5 @@
        ry="2.0000393" />
     <path
-       style="color:#000000;line-height:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
+       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
        d="m 10.531465,1045.7896 c -0.5714731,0 -1.0311731,0.5365 -1.0311731,1.2025 l 0,0.6846 c -3.916e-4,0.013 -3.916e-4,0.026 0,0.039 l 0,0.1148 0,3.9584 c -0.0091,0.7514 0.9628121,0.7514 0.9536851,0 l 0,-3.9584 0.491463,0 0,4.5316 3.059323,0 0,-4.5316 0.54149,0 0,3.9584 c -0.0092,0.7514 0.962855,0.7514 0.953685,0 l 0,-4.0735 0,-0.7235 c 0,-0.6658 -0.460553,-1.2024 -1.032025,-1.2024 l -3.936448,0 z"
        id="path3772-4-3"
@@ -220,5 +220,5 @@
        id="path4266"
        d="m 1.5627162,1045.7896 c -0.57147308,0 -1.03117258,0.5365 -1.03117258,1.2025 l 0,0.6846 c -3.92e-4,0.013 -3.92e-4,0.026 0,0.039 l 0,0.1148 0,3.9584 c -0.0091,0.7514 0.96281148,0.7514 0.95368448,0 l 0,-3.9584 0.4914631,0 0,4.5316 3.059323,0 0,-4.5316 0.54149,0 0,3.9584 c -0.0092,0.7514 0.962855,0.7514 0.953685,0 l 0,-4.0735 0,-0.7235 c 0,-0.6658 -0.460553,-1.2024 -1.032025,-1.2024 l -3.936448,0 z"
-       style="color:#000000;line-height:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate" />
+       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate" />
     <path
        style="fill:none;fill-rule:evenodd;stroke:#006400;stroke-width:1.00000024;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
Index: trunk/resources/images/presets/social_facility/group_home.svg
===================================================================
--- trunk/resources/images/presets/social_facility/group_home.svg	(revision 18083)
+++ trunk/resources/images/presets/social_facility/group_home.svg	(revision 18085)
@@ -210,5 +210,5 @@
        ry="2.0000393" />
     <path
-       style="color:#000000;line-height:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
+       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
        d="m 10.531465,1045.7896 c -0.5714731,0 -1.0311731,0.5365 -1.0311731,1.2025 l 0,0.6846 c -3.916e-4,0.013 -3.916e-4,0.026 0,0.039 l 0,0.1148 0,3.9584 c -0.0091,0.7514 0.9628121,0.7514 0.9536851,0 l 0,-3.9584 0.491463,0 0,4.5316 3.059323,0 0,-4.5316 0.54149,0 0,3.9584 c -0.0092,0.7514 0.962855,0.7514 0.953685,0 l 0,-4.0735 0,-0.7235 c 0,-0.6658 -0.460553,-1.2024 -1.032025,-1.2024 l -3.936448,0 z"
        id="path3772-4-3"
@@ -220,5 +220,5 @@
        id="path4266"
        d="m 1.5627162,1045.7896 c -0.57147308,0 -1.03117258,0.5365 -1.03117258,1.2025 l 0,0.6846 c -3.92e-4,0.013 -3.92e-4,0.026 0,0.039 l 0,0.1148 0,3.9584 c -0.0091,0.7514 0.96281148,0.7514 0.95368448,0 l 0,-3.9584 0.4914631,0 0,4.5316 3.059323,0 0,-4.5316 0.54149,0 0,3.9584 c -0.0092,0.7514 0.962855,0.7514 0.953685,0 l 0,-4.0735 0,-0.7235 c 0,-0.6658 -0.460553,-1.2024 -1.032025,-1.2024 l -3.936448,0 z"
-       style="color:#000000;line-height:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate" />
+       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate" />
     <path
        style="fill:none;fill-rule:evenodd;stroke:#006400;stroke-width:1.00000024;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
Index: trunk/resources/images/presets/social_facility/nursing_home.svg
===================================================================
--- trunk/resources/images/presets/social_facility/nursing_home.svg	(revision 18083)
+++ trunk/resources/images/presets/social_facility/nursing_home.svg	(revision 18085)
@@ -216,5 +216,5 @@
        sodipodi:nodetypes="ccc" />
     <path
-       style="color:#000000;line-height:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
+       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
        d="m 2.3191549,1045.7896 c -0.571473,0 -1.031173,0.5365 -1.031173,1.2025 l 0,0.6846 c -3.92e-4,0.013 -3.92e-4,0.026 0,0.039 l 0,0.1148 0,3.9584 c -0.0091,0.7514 0.962812,0.7514 0.953685,0 l 0,-3.9584 0.491463,0 0,4.5316 3.059324,0 0,-4.5316 0.541491,0 0,3.9584 c -0.0092,0.7514 0.962855,0.7514 0.953685,0 l 0,-4.0735 0,-0.7235 c 0,-0.6658 -0.460553,-1.2024 -1.032026,-1.2024 l -3.936449,0 z"
        id="path3772-4-3-0"
@@ -229,5 +229,5 @@
        style="opacity:1;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
     <path
-       style="color:#000000;line-height:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
+       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
        d="m 11.692867,1045.876 c -0.571473,0 -0.626766,0.1653 -0.945235,0.4837 l -2.5653285,3.0191 c -0.4785,0.5705 0.3208816,1.1982 0.8152486,0.5988 l 1.8547409,-2.0629 0,4.5316 2.573188,0 0,-6.5703 z"
        id="path3772-4-3-5-5"
Index: trunk/resources/images/presets/social_facility/outreach.svg
===================================================================
--- trunk/resources/images/presets/social_facility/outreach.svg	(revision 18083)
+++ trunk/resources/images/presets/social_facility/outreach.svg	(revision 18085)
@@ -210,5 +210,5 @@
        ry="2.0000393" />
     <path
-       style="color:#000000;line-height:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;marker:none;enable-background:accumulate"
+       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none;marker:none;enable-background:accumulate"
        d="m 6.0314662,1040.5085 c -0.571473,0 -1.031173,0.5365 -1.031173,1.2025 l 0,0.6846 c -3.92e-4,0.013 -3.92e-4,0.026 0,0.039 l 0,0.1148 0,3.9584 c -0.0091,0.7514 0.962812,0.7514 0.953685,0 l 0,-3.9584 0.491463,0 0,4.5316 3.059322,0 0,-4.5316 0.5414898,0 0,3.9584 c -0.0092,0.7514 0.962855,0.7514 0.953685,0 l 0,-4.0735 0,-0.7235 c 0,-0.6658 -0.460553,-1.2024 -1.0320248,-1.2024 l -3.936447,0 z"
        id="path3772-4"
Index: trunk/resources/images/presets/social_facility/shelter.svg
===================================================================
--- trunk/resources/images/presets/social_facility/shelter.svg	(revision 18083)
+++ trunk/resources/images/presets/social_facility/shelter.svg	(revision 18085)
@@ -216,5 +216,5 @@
        sodipodi:nodetypes="ccc" />
     <path
-       style="color:#000000;line-height:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
+       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#3771c8;fill-opacity:1;stroke:none;stroke-width:45;marker:none;enable-background:accumulate"
        d="m 6.0314654,1045.7896 c -0.5714732,0 -1.0311733,0.5365 -1.0311733,1.2025 l 0,0.6846 c -3.916e-4,0.013 -3.916e-4,0.026 0,0.039 l 0,0.1148 0,3.9584 c -0.0091,0.7514 0.9628123,0.7514 0.9536853,0 l 0,-3.9584 0.4914631,0 0,4.5316 3.0593235,0 0,-4.5316 0.54149,0 0,3.9584 c -0.0092,0.7514 0.962855,0.7514 0.953685,0 l 0,-4.0735 0,-0.7235 c 0,-0.6658 -0.460553,-1.2024 -1.032025,-1.2024 l -3.9364486,0 z"
        id="path3772-4-3"