Index: trunk/resources/images/presets/misc/angles.svg
===================================================================
--- trunk/resources/images/presets/misc/angles.svg	(revision 18084)
+++ trunk/resources/images/presets/misc/angles.svg	(revision 18095)
@@ -22,21 +22,21 @@
     <path style="fill:none;stroke:#999999;stroke-width:0.85919064px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1" d="M 310.82732,527.28916 385.03626,342.13614" id="path2997" inkscape:connector-curvature="0"/>
     <path inkscape:connector-curvature="0" id="path2999" d="m 256.23349,473.93731 183.3966,-78.44932" style="fill:none;stroke:#999999;stroke-width:0.85919064px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"/>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="321.89999" y="285.73505" id="text3769" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3771" x="321.89999" y="285.73505">0, N</tspan></text>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="446.97031" y="330.67932" id="text3773" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3775" x="446.97031" y="330.67932">45, NE</tspan></text>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="493.19977" y="442.94144" id="text3777" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3779" x="493.19977" y="442.94144">90, E</tspan></text>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="446.79114" y="555.69635" id="text3781" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3783" x="446.79114" y="555.69635">135, SE</tspan></text>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="306.49017" y="600.64063" id="text3785" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3787" x="306.49017" y="600.64063">180, S</tspan></text>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="145.76224" y="556.48486" id="text3789" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3791" x="145.76224" y="556.48486">225, SW</tspan></text>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="114.22587" y="443.13858" id="text3793" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3795" x="114.22587" y="443.13858">270, W</tspan></text>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="142.53693" y="328.31384" id="text3797" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3799" x="142.53693" y="328.31384">315, NW</tspan></text>
-    <text xml:space="preserve" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" x="359.17023" y="331.46783" id="text3801" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3803" x="359.17023" y="331.46783">22, NNE</tspan></text>
-    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:Arial" x="461.66339" y="381.14304" id="text3805" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3807" x="461.66339" y="381.14304"/></text>
-    <text sodipodi:linespacing="125%" id="text3809" y="395.53311" x="448.94135" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" xml:space="preserve"><tspan y="395.53311" x="448.94135" id="tspan3811" sodipodi:role="line">67, ENE</tspan></text>
-    <text xml:space="preserve" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" x="447.68707" y="484.23892" id="text3813" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3815" x="447.68707" y="484.23892">112, ESE</tspan></text>
-    <text sodipodi:linespacing="125%" id="text3817" y="550.4726" x="357.73676" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" xml:space="preserve"><tspan y="550.4726" x="357.73676" id="tspan3819" sodipodi:role="line">157, SSE</tspan></text>
-    <text xml:space="preserve" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" x="256.3187" y="549.38843" id="text3821" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3823" x="256.3187" y="549.38843">202, SSW</tspan></text>
-    <text sodipodi:linespacing="125%" id="text3825" y="490.54694" x="152.39204" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" xml:space="preserve"><tspan y="490.54694" x="152.39204" id="tspan3827" sodipodi:role="line">247, WSW</tspan></text>
-    <text xml:space="preserve" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" x="150.95857" y="392.0835" id="text3829" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3831" x="150.95857" y="392.0835">292, WNW</tspan></text>
-    <text sodipodi:linespacing="125%" id="text3833" y="330.77792" x="252.0183" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" xml:space="preserve"><tspan y="330.77792" x="252.0183" id="tspan3835" sodipodi:role="line">337, NNW</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="321.89999" y="285.73505" id="text3769" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3771" x="321.89999" y="285.73505">0, N</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="446.97031" y="330.67932" id="text3773" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3775" x="446.97031" y="330.67932">45, NE</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="493.19977" y="442.94144" id="text3777" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3779" x="493.19977" y="442.94144">90, E</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="446.79114" y="555.69635" id="text3781" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3783" x="446.79114" y="555.69635">135, SE</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="306.49017" y="600.64063" id="text3785" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3787" x="306.49017" y="600.64063">180, S</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="145.76224" y="556.48486" id="text3789" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3791" x="145.76224" y="556.48486">225, SW</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="114.22587" y="443.13858" id="text3793" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3795" x="114.22587" y="443.13858">270, W</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="142.53693" y="328.31384" id="text3797" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3799" x="142.53693" y="328.31384">315, NW</tspan></text>
+    <text xml:space="preserve" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="359.17023" y="331.46783" id="text3801" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3803" x="359.17023" y="331.46783">22, NNE</tspan></text>
+    <text xml:space="preserve" style="font-size:28px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#000000;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="461.66339" y="381.14304" id="text3805" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3807" x="461.66339" y="381.14304"/></text>
+    <text sodipodi:linespacing="125%" id="text3809" y="395.53311" x="448.94135" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:'Droid Sans'" xml:space="preserve"><tspan y="395.53311" x="448.94135" id="tspan3811" sodipodi:role="line">67, ENE</tspan></text>
+    <text xml:space="preserve" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="447.68707" y="484.23892" id="text3813" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3815" x="447.68707" y="484.23892">112, ESE</tspan></text>
+    <text sodipodi:linespacing="125%" id="text3817" y="550.4726" x="357.73676" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:'Droid Sans'" xml:space="preserve"><tspan y="550.4726" x="357.73676" id="tspan3819" sodipodi:role="line">157, SSE</tspan></text>
+    <text xml:space="preserve" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="256.3187" y="549.38843" id="text3821" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3823" x="256.3187" y="549.38843">202, SSW</tspan></text>
+    <text sodipodi:linespacing="125%" id="text3825" y="490.54694" x="152.39204" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:'Droid Sans'" xml:space="preserve"><tspan y="490.54694" x="152.39204" id="tspan3827" sodipodi:role="line">247, WSW</tspan></text>
+    <text xml:space="preserve" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:'Droid Sans'" x="150.95857" y="392.0835" id="text3829" sodipodi:linespacing="125%"><tspan sodipodi:role="line" id="tspan3831" x="150.95857" y="392.0835">292, WNW</tspan></text>
+    <text sodipodi:linespacing="125%" id="text3833" y="330.77792" x="252.0183" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:'Droid Sans'" xml:space="preserve"><tspan y="330.77792" x="252.0183" id="tspan3835" sodipodi:role="line">337, NNW</tspan></text>
   </g>
 </svg>
Index: trunk/resources/images/presets/misc/pipeline_marker.svg
===================================================================
--- trunk/resources/images/presets/misc/pipeline_marker.svg	(revision 18084)
+++ trunk/resources/images/presets/misc/pipeline_marker.svg	(revision 18095)
@@ -3,17 +3,17 @@
 
 <svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
    width="13"
    height="16"
    id="svg3042"
    version="1.1"
-   inkscape:version="0.48.5 r10040"
-   sodipodi:docname="10.svg">
+   inkscape:version="1.1 (c68e22c387, 2021-05-23)"
+   sodipodi:docname="pipeline_marker3.svg"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:dc="http://purl.org/dc/elements/1.1/">
   <defs
      id="defs3044" />
@@ -25,10 +25,10 @@
      inkscape:pageopacity="0.0"
      inkscape:pageshadow="2"
-     inkscape:zoom="16"
-     inkscape:cx="16.909011"
-     inkscape:cy="8.9007289"
+     inkscape:zoom="128"
+     inkscape:cx="5.1914063"
+     inkscape:cy="2.2070313"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
-     showgrid="false"
+     showgrid="true"
      fit-margin-top="0"
      fit-margin-left="0"
@@ -36,8 +36,9 @@
      fit-margin-bottom="0"
      inkscape:window-width="1680"
-     inkscape:window-height="988"
+     inkscape:window-height="987"
      inkscape:window-x="-8"
      inkscape:window-y="-8"
-     inkscape:window-maximized="1">
+     inkscape:window-maximized="1"
+     inkscape:pagecheckerboard="0">
     <inkscape:grid
        type="xygrid"
@@ -47,6 +48,8 @@
        enabled="true"
        snapvisiblegridlinesonly="true"
-       originx="-340px"
-       originy="-574px" />
+       originx="-340"
+       originy="-574"
+       spacingx="1"
+       spacingy="1" />
   </sodipodi:namedview>
   <metadata
@@ -58,5 +61,4 @@
         <dc:type
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
       </cc:Work>
     </rdf:RDF>
@@ -127,50 +129,50 @@
     <text
        xml:space="preserve"
-       style="font-size:1.421085px;font-style:normal;font-weight:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Sans"
-       x="327.96674"
-       y="488.47931"
+       style="font-style:normal;font-weight:normal;line-height:0%;font-family:'Droid Sans';letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none"
+       x="328.07797"
+       y="488.46289"
        id="text3068"
-       sodipodi:linespacing="125%"
        transform="scale(1.051936,0.95062818)"><tspan
          sodipodi:role="line"
          id="tspan3070"
-         x="327.96674"
-         y="488.47931">GAS</tspan></text>
+         x="328.07797"
+         y="488.46289"
+         style="font-size:1.42109px;line-height:1.25">GAS</tspan></text>
     <text
        xml:space="preserve"
-       style="font-size:4.3321867px;font-style:normal;font-weight:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Sans"
-       x="329.89066"
-       y="483.10718"
+       style="font-style:normal;font-weight:normal;font-size:12.5389px;line-height:0%;font-family:'Droid Sans';letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;stroke-width:1.04491"
+       x="315.71246"
+       y="504.80283"
        id="text3068-1"
-       sodipodi:linespacing="125%"
-       transform="scale(1.0336891,0.96740886)"><tspan
+       transform="scale(1.0801106,0.92583111)"><tspan
          sodipodi:role="line"
          id="tspan3070-7"
-         x="329.89066"
-         y="483.10718">A</tspan></text>
+         x="315.71246"
+         y="504.80283"
+         style="font-size:4.52674px;line-height:1.25;stroke-width:1.04491">A</tspan></text>
     <text
        xml:space="preserve"
-       style="font-size:2.38257885px;font-style:normal;font-weight:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Sans"
+       style="font-style:normal;font-weight:normal;line-height:0%;font-family:'Droid Sans';letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none"
        x="332.9227"
        y="483.92914"
        id="text3068-1-4"
-       sodipodi:linespacing="125%"
        transform="scale(1.0249278,0.97567849)"><tspan
          sodipodi:role="line"
          id="tspan3070-7-0"
          x="332.9227"
-         y="483.92914">1,2</tspan></text>
+         y="483.92914"
+         style="font-size:2.38258px;line-height:1.25">1,2</tspan></text>
     <text
        xml:space="preserve"
-       style="font-size:2.38257885px;font-style:normal;font-weight:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Sans"
+       style="font-style:normal;font-weight:normal;line-height:0%;font-family:'Droid Sans';letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none"
        x="336.36353"
        y="489.0759"
        id="text3068-1-4-9"
-       sodipodi:linespacing="125%"
        transform="scale(1.0249278,0.97567849)"><tspan
          sodipodi:role="line"
          id="tspan3070-7-0-4"
          x="336.36353"
-         y="489.0759">3,4</tspan></text>
+         y="489.0759"
+         style="font-size:2.38258px;line-height:1.25">3,4</tspan></text>
   </g>
 </svg>