Index: applications/editors/josm/plugins/waydownloader/src/org/openstreetmap/josm/plugins/waydownloader/WayDownloaderPlugin.java
===================================================================
--- applications/editors/josm/plugins/waydownloader/src/org/openstreetmap/josm/plugins/waydownloader/WayDownloaderPlugin.java	(revision 18613)
+++ applications/editors/josm/plugins/waydownloader/src/org/openstreetmap/josm/plugins/waydownloader/WayDownloaderPlugin.java	(revision 18617)
@@ -56,38 +56,38 @@
                     "way-download",
                     tr("Download map data on the end of selected way"),
-                    Shortcut.registerShortcut("waydownloader:waydownload", "Way Download", KeyEvent.VK_W, Shortcut.GROUP_MENU, Shortcut.SHIFT_DEFAULT),
+                    Shortcut.registerShortcut("waydownloader:waydownload", tr("Way Download"), KeyEvent.VK_W, Shortcut.GROUP_MENU, Shortcut.SHIFT_DEFAULT),
                     true);
         }
 
         protected void showWarningMessage(String msg) {
-        	 if(msg == null) return;
+             if(msg == null) return;
              JOptionPane.showMessageDialog(
-             		Main.parent, 
-             		msg,
-             		tr("Warning"),
-             		JOptionPane.WARNING_MESSAGE                		
+                    Main.parent,
+                    msg,
+                    tr("Warning"),
+                    JOptionPane.WARNING_MESSAGE
              );
         }
-        
+
         protected void showErrorMessage(String msg) {
-       	 if(msg == null) return;
-	        JOptionPane.showMessageDialog(
-	        		Main.parent, 
-	        		msg,
-	        		tr("Error"),
-	        		JOptionPane.ERROR_MESSAGE                		
-	        );
+         if(msg == null) return;
+            JOptionPane.showMessageDialog(
+                    Main.parent,
+                    msg,
+                    tr("Error"),
+                    JOptionPane.ERROR_MESSAGE
+            );
        }
-        
+
         protected void showInfoMessage(String msg) {
-          	 if(msg == null) return;
+             if(msg == null) return;
                JOptionPane.showMessageDialog(
-               		Main.parent, 
-               		msg,
-               		tr("Information"),
-               		JOptionPane.INFORMATION_MESSAGE                		
+                    Main.parent,
+                    msg,
+                    tr("Information"),
+                    JOptionPane.INFORMATION_MESSAGE
                );
           }
-        
+
         /** Called when the WayDownloadAction action is triggered (e.g. user clicked the menu option) */
         public void actionPerformed(ActionEvent e) {
@@ -97,6 +97,6 @@
                 selection = Main.main.getCurrentDataSet().getSelectedWays();
                 if (!workFromWaySelection(selection)) {
-                	showWarningMessage(tr("<html>Neither a node nor a way with an endpoint outside of the<br>current download areas is selected.<br>Select a node on the start or end of a way or an entire way first.</html>"));
-                	return;
+                    showWarningMessage(tr("<html>Neither a node nor a way with an endpoint outside of the<br>current download areas is selected.<br>Select a node on the start or end of a way or an entire way first.</html>"));
+                    return;
                 }
                 selection = Main.main.getCurrentDataSet().getSelectedNodes();
@@ -104,8 +104,8 @@
 
             if ( selection.size()==0 || selection.size()>1 || ! (selection.iterator().next() instanceof Node)) {
-            	showWarningMessage(tr("<html>Could not find a unique node to start downloading from.</html>"));
-                return;
-            } 
-        
+                showWarningMessage(tr("<html>Could not find a unique node to start downloading from.</html>"));
+                return;
+            }
+
             selectedNode = (Node) selection.iterator().next();
             Main.map.mapView.zoomTo(selectedNode.getEastNorth());
@@ -115,10 +115,10 @@
             List<Way> connectedWays = findConnectedWays(selectedNode);
             if (connectedWays.size()==0) {
-            	showWarningMessage(
-            			tr("<html>There are no ways connected to node ''{0}''. Aborting.</html>",
-            			selectedNode.getDisplayName(DefaultNameFormatter.getInstance()))
-            	);
-            	return;
-            } 
+                showWarningMessage(
+                        tr("<html>There are no ways connected to node ''{0}''. Aborting.</html>",
+                        selectedNode.getDisplayName(DefaultNameFormatter.getInstance()))
+                );
+                return;
+            }
             priorConnectedWay =connectedWays.get(0);
 
@@ -129,12 +129,12 @@
             final PleaseWaitProgressMonitor monitor = new PleaseWaitProgressMonitor();
             final Future<?> future = downloadTask.download(
-            		false /* no new layer */,
-            		new Bounds(
-            				selectedNode.getCoor().lat()- latbuffer,
-            				selectedNode.getCoor().lon()- lonbuffer,
-            				selectedNode.getCoor().lat()+ latbuffer,
-            				selectedNode.getCoor().lon()+ lonbuffer
-            		),
-            		monitor
+                    false /* no new layer */,
+                    new Bounds(
+                            selectedNode.getCoor().lat()- latbuffer,
+                            selectedNode.getCoor().lon()- lonbuffer,
+                            selectedNode.getCoor().lat()+ latbuffer,
+                            selectedNode.getCoor().lon()+ lonbuffer
+                    ),
+                    monitor
             );
             // schedule closing of the progress monitor after the download
@@ -166,41 +166,41 @@
 
             if (connectedWays.size()==0) {
-            	String msg = tr("Way downloader data inconsistency. Prior connected way ''{0}'' wasn''t discovered after download",
-                				priorConnectedWay.getDisplayName(DefaultNameFormatter.getInstance())
-                		);
-            	System.err.println(msg);
-            	showErrorMessage(msg);
-            	return;                
-            } 
-            
+                String msg = tr("Way downloader data inconsistency. Prior connected way ''{0}'' wasn''t discovered after download",
+                                priorConnectedWay.getDisplayName(DefaultNameFormatter.getInstance())
+                        );
+                System.err.println(msg);
+                showErrorMessage(msg);
+                return;
+            }
+
             if (connectedWays.size()==1) {
                 //Just one way connecting still to the node . Presumably the one which was there before
                 //Check if it's just a duplicate node
-            	
+
                 Node dupeNode = findDuplicateNode(selectedNode);
                 if (dupeNode!=null) {
-                	String msg = tr("<html>There aren''t further connected ways to download.<br>"
-                			+ "A potential duplicate node of the currently selected node was found, though.<br><br>"
-                			+ "The currently selected node is ''{0}''<br>"
-                			+ "The potential duplicate node is ''{1}''<br>"
-                			+ "Merge the duplicate node onto the currently selected node and continue way downloading?"
-                			+ "</html>",
-                			selectedNode.getDisplayName(DefaultNameFormatter.getInstance()),
-                			dupeNode.getDisplayName(DefaultNameFormatter.getInstance())
-                	);
-                			
-                	int ret = JOptionPane.showConfirmDialog(
-                			Main.parent,
-                			msg,
-                			tr("Merge duplicate node?"),
-                			JOptionPane.YES_NO_OPTION,
-                			JOptionPane.QUESTION_MESSAGE
-                	);
-                	if (ret != JOptionPane.YES_OPTION)
-                		return;
+                    String msg = tr("<html>There aren''t further connected ways to download.<br>"
+                            + "A potential duplicate node of the currently selected node was found, though.<br><br>"
+                            + "The currently selected node is ''{0}''<br>"
+                            + "The potential duplicate node is ''{1}''<br>"
+                            + "Merge the duplicate node onto the currently selected node and continue way downloading?"
+                            + "</html>",
+                            selectedNode.getDisplayName(DefaultNameFormatter.getInstance()),
+                            dupeNode.getDisplayName(DefaultNameFormatter.getInstance())
+                    );
+
+                    int ret = JOptionPane.showConfirmDialog(
+                            Main.parent,
+                            msg,
+                            tr("Merge duplicate node?"),
+                            JOptionPane.YES_NO_OPTION,
+                            JOptionPane.QUESTION_MESSAGE
+                    );
+                    if (ret != JOptionPane.YES_OPTION)
+                        return;
                     Command cmd = MergeNodesAction.mergeNodes(
-                    		Main.main.getEditLayer(),
-                    		Collections.singletonList(dupeNode), 
-                    		selectedNode
+                            Main.main.getEditLayer(),
+                            Collections.singletonList(dupeNode),
+                            selectedNode
                     );
                     if (cmd != null) {
@@ -210,20 +210,20 @@
                     connectedWays = findConnectedWays(selectedNode);
                 } else {
-                	showInfoMessage(tr("<html>No more connected ways to download.</html>"));
-                	return;
-                }                
-                return;
-            } 
-            
+                    showInfoMessage(tr("<html>No more connected ways to download.</html>"));
+                    return;
+                }
+                return;
+            }
+
             if (connectedWays.size()>2) {
                 //Three or more ways meeting at this node. Means we have a junction.
-            	String msg = tr(
-            			"Node ''{0}'' is a junction with more than 2 connected ways.",
-            			selectedNode.getDisplayName(DefaultNameFormatter.getInstance())
-            	);
-            	showWarningMessage(msg);
-            	return;
-            } 
-            
+                String msg = tr(
+                        "Node ''{0}'' is a junction with more than 2 connected ways.",
+                        selectedNode.getDisplayName(DefaultNameFormatter.getInstance())
+                );
+                showWarningMessage(msg);
+                return;
+            }
+
             if (connectedWays.size()==2) {
                 //Two connected ways (The "normal" way downloading case)
@@ -242,30 +242,30 @@
         }
 
-		@Override
-		protected void updateEnabledState() { 
-			setEnabled(getEditLayer() != null);
-		}
-
-		@Override
-		protected void updateEnabledState(
-				Collection<? extends OsmPrimitive> selection) {
-			// do nothing
-		}
-    }
-
-    /** 
+        @Override
+        protected void updateEnabledState() {
+            setEnabled(getEditLayer() != null);
+        }
+
+        @Override
+        protected void updateEnabledState(
+                Collection<? extends OsmPrimitive> selection) {
+            // do nothing
+        }
+    }
+
+    /**
      * Check whether there is a potentially duplicate node for <code>referenceNode</code>.
-     * 
-     * @param referenceNode the reference node 
+     *
+     * @param referenceNode the reference node
      * @return the potential duplicate node. null, if no duplicate found.
      */
     private Node findDuplicateNode(Node referenceNode) {
-    	DataSet ds = Main.main.getCurrentDataSet();
-    	List<Node> candidates = ds.searchNodes(new BBox(new Bounds(referenceNode.getCoor(), 0.0003, 0.0005)));
+        DataSet ds = Main.main.getCurrentDataSet();
+        List<Node> candidates = ds.searchNodes(new BBox(new Bounds(referenceNode.getCoor(), 0.0003, 0.0005)));
         for (Node candidate: candidates) {
             if (!candidate.equals(referenceNode)
                     && !candidate.incomplete
                     && candidate.getCoor().equals(referenceNode.getCoor()))
-                return candidate;            
+                return candidate;
         }
         return null;
@@ -279,13 +279,13 @@
     }
 
-    /** 
-     * Replies the list of ways <code>referenceNode</code> is either the first or the 
+    /**
+     * Replies the list of ways <code>referenceNode</code> is either the first or the
      * last node in.
-     * 
-     * @param referenceNode the reference node 
+     *
+     * @param referenceNode the reference node
      * @return the list of ways. May be empty, but null.
      */
     private List<Way> findConnectedWays(Node referenceNode) {
-    	List<Way> referers = OsmPrimitive.getFilteredList(referenceNode.getReferrers(), Way.class);
+        List<Way> referers = OsmPrimitive.getFilteredList(referenceNode.getReferrers(), Way.class);
         ArrayList<Way> connectedWays = new ArrayList<Way>(referers.size());
 